[ARVADOS-DEV] updated: 5ee7a415414d023634ef3e9b9333d49068791e79
git at public.curoverse.com
git at public.curoverse.com
Wed Sep 16 17:09:10 EDT 2015
Summary of changes:
.../arvados-api-server-upgrade.sh | 2 +-
jenkins/run-tests.sh | 39 +++++++++++++++-------
2 files changed, 28 insertions(+), 13 deletions(-)
via 5ee7a415414d023634ef3e9b9333d49068791e79 (commit)
via fb189c35101622a1bcd53d4c10b589963afd8747 (commit)
via 716e83202432b70111466738123fadbf38824d87 (commit)
from c43d72c6d70213350abf70e81710f98afa0a0862 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 5ee7a415414d023634ef3e9b9333d49068791e79
Author: Brett Smith <brett at curoverse.com>
Date: Wed Sep 16 16:33:28 2015 -0400
Close unclosed quotes in arvados-api-server-upgrade.sh.
No issue #.
diff --git a/jenkins/arvados-api-server-extras/arvados-api-server-upgrade.sh b/jenkins/arvados-api-server-extras/arvados-api-server-upgrade.sh
index b3badf7..f924b8b 100755
--- a/jenkins/arvados-api-server-extras/arvados-api-server-upgrade.sh
+++ b/jenkins/arvados-api-server-extras/arvados-api-server-upgrade.sh
@@ -29,7 +29,7 @@ RELEASE_PATH=/var/www/arvados-api/current
SHARED_PATH=/var/www/arvados-api/shared
CONFIG_PATH=/etc/arvados/api/
-echo "Assumption: $NGINX_SERVICE is configured to serve your API server URL from
+echo "Assumption: $NGINX_SERVICE is configured to serve your API server URL from"
echo " /var/www/arvados-api/current"
echo "Assumption: configuration files are in /etc/arvados/api/"
echo "Assumption: $NGINX_SERVICE and passenger run as $WWW_OWNER"
commit fb189c35101622a1bcd53d4c10b589963afd8747
Merge: c43d72c 716e832
Author: Brett Smith <brett at curoverse.com>
Date: Wed Sep 16 15:25:40 2015 -0400
Merge branch 'pr/1'
Closes #7261.
commit 716e83202432b70111466738123fadbf38824d87
Author: Joshua C. Randall <jcrandall at alum.mit.edu>
Date: Thu Sep 10 20:20:04 2015 +0000
Adds setuptools/pip upgrade in python3 virtualenv
Moves ruby environment setup to after python3 virtualenv
setup, because otherwise activating the python3 virtualenv
breaks ruby.
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 43a8acb..db450e1 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -403,17 +403,6 @@ if (pip install setuptools | grep setuptools-0) || [ "$($VENVDIR/bin/easy_instal
pip install --upgrade setuptools pip
fi
-# Note: this must be the last time we change PATH, otherwise rvm will
-# whine a lot.
-setup_ruby_environment
-
-echo "PATH is $PATH"
-
-if ! which bundler >/dev/null
-then
- gem install --user-install bundler || fatal 'Could not install bundler'
-fi
-
# Needed for run_test_server.py which is used by certain (non-Python) tests.
pip freeze 2>/dev/null | egrep ^PyYAML= \
|| pip install PyYAML >/dev/null \
@@ -425,12 +414,24 @@ pip freeze 2>/dev/null | egrep ^apache-libcloud==$LIBCLOUD_PIN \
|| pip install --pre --ignore-installed https://github.com/curoverse/libcloud/archive/apache-libcloud-$LIBCLOUD_PIN.zip >/dev/null \
|| fatal "pip install apache-libcloud failed"
+# Deactivate Python 2 virtualenv
+deactivate
+
# If Python 3 is available, set up its virtualenv in $VENV3DIR.
# Otherwise, skip dependent tests.
PYTHON3=$(which python3)
if [ "0" = "$?" ]; then
virtualenv --python "$PYTHON3" --setuptools "$VENV3DIR" \
- || fatal "python3 virtualenv $VENV3DIR failed"
+ || fatal "python3 virtualenv $VENV3DIR failed"
+
+ . "$VENV3DIR/bin/activate"
+
+ if (pip install setuptools | grep setuptools-0) || [ "$($VENV3DIR/bin/easy_install --version | cut -d\ -f2 | cut -d. -f1)" -lt 18 ]; then
+ pip install --upgrade setuptools pip
+ fi
+
+ # Deactivate Python 3 virtualenv
+ deactivate
else
PYTHON3=
skip[services/dockercleaner]=1
@@ -442,6 +443,20 @@ services/dockercleaner install and tests will be skipped
EOF
fi
+# Reactivate Python 2 virtualenv
+. "$VENVDIR/bin/activate"
+
+# Note: this must be the last time we change PATH, otherwise rvm will
+# whine a lot.
+setup_ruby_environment
+
+echo "PATH is $PATH"
+
+if ! which bundler >/dev/null
+then
+ gem install --user-install bundler || fatal 'Could not install bundler'
+fi
+
checkexit() {
if [[ "$1" != "0" ]]; then
title "!!!!!! $2 FAILED !!!!!!"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list